package com.bonus.canteen.core.report.model;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.time.LocalDate;
import java.time.LocalDateTime;

@ApiModel("存储客流数据实体")
@TableName("device_passenger_flow")
public class DevicePassengerFlow {
   @ApiModelProperty("开始时间")
   private LocalDateTime startTime;
   @ApiModelProperty("结束时间")
   private String endTime = "";
   @ApiModelProperty("进入客流数量【由店外到店内经过相机视场】")
   private Integer enters = 0;
   @ApiModelProperty("离开客流数量【由店内到店外经过相机视场】")
   private Integer exits = 0;
   @ApiModelProperty("店外经过客流数量【由店外进入又离开相机视场】")
   private Integer passings = 0;
   @ApiModelProperty("店内折返客流数量【由店内进入相机视场，又离开相机视场回到店内】")
   private Integer returns = 0;
   @ApiModelProperty("设备sn")
   private String serialNumber = "";
   @ApiModelProperty("设备名称")
   private String deviceName = "";
   @ApiModelProperty("设备ip")
   private String deviceIp = "";
   @ApiModelProperty("id")
   private Long id;
   @ApiModelProperty("创建日期")
   private LocalDate createDate;
   @ApiModelProperty("创建时间")
   private LocalDateTime createTime;
   @ApiModelProperty("食堂id")
   private Long canteenId;

   public LocalDateTime getStartTime() {
      return this.startTime;
   }

   public String getEndTime() {
      return this.endTime;
   }

   public Integer getEnters() {
      return this.enters;
   }

   public Integer getExits() {
      return this.exits;
   }

   public Integer getPassings() {
      return this.passings;
   }

   public Integer getReturns() {
      return this.returns;
   }

   public String getSerialNumber() {
      return this.serialNumber;
   }

   public String getDeviceName() {
      return this.deviceName;
   }

   public String getDeviceIp() {
      return this.deviceIp;
   }

   public Long getId() {
      return this.id;
   }

   public LocalDate getCreateDate() {
      return this.createDate;
   }

   public LocalDateTime getCreateTime() {
      return this.createTime;
   }

   public Long getCanteenId() {
      return this.canteenId;
   }

   public DevicePassengerFlow setStartTime(final LocalDateTime startTime) {
      this.startTime = startTime;
      return this;
   }

   public DevicePassengerFlow setEndTime(final String endTime) {
      this.endTime = endTime;
      return this;
   }

   public DevicePassengerFlow setEnters(final Integer enters) {
      this.enters = enters;
      return this;
   }

   public DevicePassengerFlow setExits(final Integer exits) {
      this.exits = exits;
      return this;
   }

   public DevicePassengerFlow setPassings(final Integer passings) {
      this.passings = passings;
      return this;
   }

   public DevicePassengerFlow setReturns(final Integer returns) {
      this.returns = returns;
      return this;
   }

   public DevicePassengerFlow setSerialNumber(final String serialNumber) {
      this.serialNumber = serialNumber;
      return this;
   }

   public DevicePassengerFlow setDeviceName(final String deviceName) {
      this.deviceName = deviceName;
      return this;
   }

   public DevicePassengerFlow setDeviceIp(final String deviceIp) {
      this.deviceIp = deviceIp;
      return this;
   }

   public DevicePassengerFlow setId(final Long id) {
      this.id = id;
      return this;
   }

   public DevicePassengerFlow setCreateDate(final LocalDate createDate) {
      this.createDate = createDate;
      return this;
   }

   public DevicePassengerFlow setCreateTime(final LocalDateTime createTime) {
      this.createTime = createTime;
      return this;
   }

   public DevicePassengerFlow setCanteenId(final Long canteenId) {
      this.canteenId = canteenId;
      return this;
   }
}
